Skip to main content
GET
/
agents
/
{agent_id}
/
trust-edges
List trust edges from or to an agent
curl --request GET \
  --url https://api.mnemom.ai/v1/agents/{agent_id}/trust-edges \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "<string>",
  "direction": "<string>",
  "edges": [
    {
      "id": "<string>",
      "from_agent": "<string>",
      "to_agent": "<string>",
      "weight": 0.5,
      "reason": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

agent_id
string
required

Agent identifier (e.g. smolt-abc123)

Query Parameters

direction
enum<string>
default:both
Available options:
outbound,
inbound,
both
limit
integer
default:100
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Edges.

agent_id
string
required
direction
string
required
edges
object[]
required
count
integer
required